Package org.eclipse.net4j.util.security

# Interface IUserManager

All Known Implementing Classes:
  `FileUserManager`, `UserManager`

public interface IUserManager

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`addUser(String userID, char[] password)`
`byte[]`
`encrypt(String userID, byte[] data, String algorithmName, byte[] salt, int count)`
`void`
`removeUser(String userID)`

## Method Details

### addUser

void addUser(String userID, char[] password)

### removeUser

void removeUser(String userID)

### encrypt

byte[] encrypt(String userID, byte[] data, String algorithmName, byte[] salt, int count) throws SecurityException

Throws:
  `SecurityException`
Since:
  2.0